Subject: Re: [PATCH 1/2] doc: recommend lore.kernel.org over public-inbox.org

From: Eric Wong <[email-masked]>
Date: Wed, 27 Nov 2019 20:04:21 +0000

Johannes Schindelin <[email-masked]> wrote:
> On Wed, 27 Nov 2019, Eric Wong wrote:
> > Jeff King <[email-masked]> wrote:
> > > Since lore.kernel.org now has the same archive as public-inbox.org and
> > > may have more longevity going forward[1], let's recommend people use it
> > > for finding or referencing messages.
> > >
> > > [1] https://public-inbox.org/git/20191120195556.GA25189@dcvr/
> > >       or if you like:
> > >     https://lore.kernel.org/git/20191120195556.GA25189@dcvr/
> 
> One of the things I appreciate most about https://public-inbox.org/git is
> that you can clone it. I just tried this with
> https://lore.kernel.org/git/...
> 
> $ git clone https://lore.kernel.org/git/  lore-git
> Cloning into 'lore-git'...
> warning: You appear to have cloned an empty repository.

Oops, that's a usability issue I hope to fix at some point.

> Is this something other people also care about?

Instructions are actually at the bottom:

   git clone --mirror https://lore.kernel.org/git/0 git/git/0.git

The "0" is the "epoch", and larger repos have multiple epochs,
roughly 1GB each. https://lore.kernel.org/lkml/ has 0..7, right now.